.single-product-page {
  $mobile: 'md';

  padding: 33px 0;

  @include screen-max($mobile) {
    padding: 26px 0 40px;
  }

  .section {
    &__title {
      margin-bottom: 70px;

      @include screen-max($mobile) {
        margin-bottom: 57px;
      }
    }

    &__product {
      padding-top: 7px;
      position: relative;
      z-index: 1;

      @include screen-max($mobile) {
        flex-direction: column-reverse;
        padding-top: 0;
      }

      &__name {
        color: $colorGreen;
        line-height: calculateSize(61);
        margin-bottom: 34px;
        margin-top: 20px;

        @include screen-max($mobile) {
          font-size: calculateSize(22);
          line-height: calculateSize(27);
          margin-top: 27px;
          margin-bottom: 25px;
        }
      }

      &__description {
        margin-bottom: 33px;

        @include screen-max($mobile) {
          margin-bottom: 28px;
          line-height: calculateSize(25);
        }
      }

      &__image {
        max-width: 100%;
        border-radius: 8px;
        box-shadow: 0px 3px 6px #00000029;
      }
    }

    .cta {
      max-width: 500px;
      padding-top: 12px;

      @include screen-max($mobile) {
        padding-top: 6px;
      }

      @include screen-max(sm) {
        max-width: initial;
      }

      &__cupon,
      &__add-to-cart {
        display: flex;
        align-items: center;

        @include screen-max(sm) {
          flex-direction: column;
          align-items: start;
        }

        &__title {
          font-size: calculateSize(18);
          line-height: calculateSize(26);
          font-weight: 600;
          min-width: 85px;

          @include screen-max(sm) {
            margin-bottom: 10px;
          }
        }
      }


      &__cupon {

      }

      &__add-to-cart {
        &__content {
          display: flex;
          align-items: center;
          flex-wrap: wrap;
          gap: 10px;
          width: 100%;

          .button {
            flex: 1;
          }
        }
      }

      & > * {
        &:not(:last-child) {
          margin-bottom: 14px;
        }
      }

      &__added {
        font-size: calculateSize(16);
        line-height: calculateSize(24);
        font-weight: 500;

        a {
          color: $colorGreen;
          text-decoration: underline;
        }
      }
    }

    &__details {
      margin-top: 34px;

      @include screen-max($mobile) {
        margin-top: 50px;
      }

      &__title {
        margin-bottom: 40px;

        @include screen-max($mobile) {
          margin-bottom: 35px;
        }
      }
    }

    &__additional {
      margin-top: 55px;
    }

    &__masseurs {
      &__title {
        margin-bottom: 30px;
      }

      &__people {
        display: flex;
        flex-wrap: wrap;
        gap: 26px;
      }

      &__person {
        display: flex;
        flex-direction: column;
        align-items: center;

        img {
          max-width: 130px;
        }
      }

      &__full-name {
        color: $colorGreen;
        font-size: calculateSize(18);
        line-height: calculateSize(24);
        max-width: 145px;
        margin: 20px auto 0;
        text-align: center;
      }
    }

    &__contraindications {
      @include screen-max($mobile) {
        margin-top: 65px;
      }

      &__title {
        margin-bottom: 35px;
      }

      .content {
        font-size: calculateSize(14);
        line-height: calculateSize(21);
        font-weight: 500;

        ul {
          margin-bottom: 32px;
        }

        p {
          &:not(:last-child) {
            margin-bottom: 32px;
          }
        }
      }
    }
  }


  .table {
    .tr {
      display: flex;
      font-size: calculateSize(16);
      border: none;
      padding-top: 22px;
      font-weight: 600;
      line-height: calculateSize(24);
      color: $colorGreen;

      & > * {
        min-width: 90px;
        display: flex;
        align-items: center;
      }

      &--first {
        padding-top: 0;
        padding-bottom: 12px;
        font-weight: 500;
        line-height: calculateSize(19);
        color: rgba(#1E1E1E, 0.6);
        border-bottom: 2px solid #E4E4E4;
      }
    }

    &:not(:last-child) {
      margin-bottom: 36px;

      &.category {
        margin-bottom: 34px;
      }
    }

    .product-details-title {
      flex: 1;
      font-size: calculateSize(18);
      line-height: calculateSize(22);
      font-weight: 700;
      color: $colorGreen;
      padding-right: 20px;

      @include screen-max($mobile) {
        display: flex;
        margin-bottom: 27px;
      }
    }

    &.category {
      &:first-child {
        @include screen-max($mobile) {
          margin-top: 36px;
        }
      }

      .product-details-title {
        margin-bottom: 0;
      }

      .tr {
        & > * {
          &:first-child {
            flex: initial;
            min-width: 170px;
          }
        }
      }
    }
  }

  &.shop-mode {
    .section {
      &__product {
        padding-top: 50px;

        @include screen-max($mobile) {
          padding-top: 26px;
        }
      }

      &__details {
        margin-top: 70px;

        @include screen-max($mobile) {
          margin-top: 45px;
        }
      }
    }
  }
}
